Update block slot by ID

http
PUT https://services.leadconnectorhq.com/calendars/events/block-slots/{eventId}

Authorization

NameTypeRequiredExampleDescription
AuthorizationstringYesBearer token generated from the Leadway portal. See Authentication.
VersionstringYes2021-07-28API version.

Path parameters

NameTypeRequiredExampleDescription
eventIdstringYesEvent Id or Instance id. For recurring appointments send masterEventId to modify original series.

Body

NameTypeRequiredExampleDescription
titlestringNoTest EventTitle
calendarIdstringYesCVokAlI8fgw4WYWoCtQzEither calendarId or assignedUserId can be set, not both.
assignedUserIdstringNoCVokAlI8fgw4WYWoCtQzEither calendarId or assignedUserId can be set, not both.
locationIdstringYesC2QujeCh8ZnC7al2InWRAccount Id
startTimestringNo2021-06-23T03:30:00+05:30Start Time
endTimestringNo2021-06-23T04:30:00+05:30End Time

Responses

201 - Successful response
  • id (string, required): Id Example: 0TkCdp9PfvLeWKYRRvIz

  • locationId (string, required): Account Id Example: C2QujeCh8ZnC7al2InWR

  • title (string, required): Title Example: My event

  • startTime (object, required): Start Time Example: 2021-06-23T03:30:00+05:30

  • endTime (object, required): End Time Example: 2021-06-23T04:30:00+05:30

  • calendarId (string): Calendar id Example: CVokAlI8fgw4WYWoCtQz

  • assignedUserId (string): Assigned User Id Example: 0007BWpSzSwfiuSl0tR2

json
{
  "id": "0TkCdp9PfvLeWKYRRvIz",
  "locationId": "C2QujeCh8ZnC7al2InWR",
  "title": "My event",
  "startTime": "2021-06-23T03:30:00+05:30",
  "endTime": "2021-06-23T04:30:00+05:30",
  "calendarId": "CVokAlI8fgw4WYWoCtQz",
  "assignedUserId": "0007BWpSzSwfiuSl0tR2"
}
400 - Bad Request
json
{}
401 - Unauthorized
json
{}

Example

curl -X PUT 'https://services.leadconnectorhq.com/calendars/events/block-slots/YOUR_eventId' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28' \
  -H 'Content-Type: application/json' \
  -d '{
  "title": "Test Event",
  "calendarId": "CVokAlI8fgw4WYWoCtQz",
  "assignedUserId": "CVokAlI8fgw4WYWoCtQz",
  "locationId": "C2QujeCh8ZnC7al2InWR",
  "startTime": "2021-06-23T03:30:00+05:30",
  "endTime": "2021-06-23T04:30:00+05:30"
}'

Last updated October 26, 2026

Was this page helpful?